dsc-datatool-output prometheus(7)

NAME
Prometheus - Prometheus output.

SYNOPSIS
dsc-datatool --output ";Prometheus;<options...>"

DESCRIPTION
This output generates Prometheus importable output to stdout or to a specified file.

  Prometheus' node_exporter
This output can be used together with Prometheus' node_exporter's Textfile Collector to automate statistics gathering but some specific setup and requirements must be meet.

You must hide the timestamp with option timestamp=hide because timestamps are not supported by the Textfile Collector.

You must make sure only one XML file from a server+node combination is processed at a time. Because otherwise you will get multiple data point for the same metric and this will generate errors from the Textfile Collector, since it does not support timestamps and cannot separate the measurements.

You must make sure that only one file (per server+node combo) is generated for the Textfile Collector to read, and it should be the same between runs. See Textfile Collectors documentation how to setup that atomically.

OPTIONS

timestamp=[hide|start|stop]
    Choose which timestamp from the dataset to use in the Prometheus output to specify when the metrics took place.

    Default to start timestamp.

file=<filename>
    Specify a file to output to instead of stdout.

append
    If given, the output will be appended to the file specified rather then overwritten.

prefix=<string>
    Use the given string as prefix on all metric names.

SEE ALSO
dsc-datatool(1)

https://prometheus.io/docs/guides/node-exporter/

https://github.com/prometheus/node_exporter#textfile-collector

AUTHORS
Jerry Lundström, DNS-OARC

Maintained by DNS-OARC

    https://www.dns-oarc.net/tools/dsc

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dsc-datatool/issues

For question and help please use:

    https://lists.dns-oarc.net/mailman/listinfo/dsc